Subject: Re: Updates for ERROR after WG last call

From: Mark Allman <[email-masked]>
Date: Thu, 14 Sep 2000 22:41:27 -0400

> Mark, what is "low enough" and "given available" speed?  In my
> experience, <1% pkt loss can have a 20% throughput hit for non
> SACK TCPs and a still- noticeable affect on better ones.

It all depends.  

In general what I would like to see is something that says more
concretely what kinds of error rates matter to TCP and what sorts of
error rates do not.  I think we can agree that one packet getting
hosed on my lab's ethernet every day does not make my network an
ERRORed environment.  This one packet error may well hurt throughput
on a transfer, but it's only one transfer a day and so I really
can't complain.  That is very clear (I hope!), but some other
networks with lower speeds and higher error rates are not nearly as
clear cut.

So, what I'm saying is that if you plug a packet loss rate into the
TCP friendly equation it gives you a certain number of bytes/second
that a TCP should be able to obtain (also given the RTT and packet
size).  If this number of bytes/second is greater than the number of
bytes/second supported by the link supporting the least number of
bytes/second in your network path you should be OK (and, in many
cases you know which link this is because you're directly connected
to it).  If the equation predicts a number of bytes/second less than
supported by the bottleneck link the error rate is going to have an
impact on performance.

This is not perfect, but I believe it to be a good first cut at
figuring out whether the noise on your link is really going to have
an impact on performance.

allman

---

From: Cannara <[email-masked]>
Date: Thu, 14 Sep 2000 21:17:27 -0700

Ok Mark, got it.  So, we need also to include how "a TCP" works and how its
default parameters may be changed.  Certainly there's a big, easily observed
difference between older and newer (e.g., SACK) TCPs -- order of magnitude
differences in delays to get good data through (Throughput).  So, the equation
needs some TCP parameters and there needs to be a way for the user to decide
how to set them, including the likely possibility for end-end mismatch in
version.  This would qualify as a "first cut", in my opinion.

Alex